<?php
/**
 * Jay's Javascript Calculator (mod_jcalc)
 * @date 22-APR-2005
 * @author Jay. M. Fares
 * @Copyright (C) 2004-2005 kaftoun.com
 * @ All rights reserved
 * @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
 * @version 1.5
 */

$MODNAME='mod_jcalc';

defined('_JEXEC') or die('Restricted access');
$site_url= JURI::base();

$table_width = $params->get( 'table_width' );
if ($table_width) $table_width=" width=\"$table_width\" ";
$align = $params->get('align');
if ($align) $align = "align=\"$align\"";
$moduleclass_sfx = $params->get( 'moduleclass_sfx', '' );
$jcalc_style = $params->get( 'jcalc_style', '' );
if ($moduleclass_sfx) {
  $class="moduletable$moduleclass_sfx";
  $form=$class;
  $class_str="class=\"moduletable$moduleclass_sfx\"";
} else {
  $class=$MODNAME;
  $form=$class;
  $class_str="class=\"moduletable\"";
  echo mod_jcalc_style_content($MODNAME,$jcalc_style);
}
$document = & JFactory::getDocument();

$js = $params->get('js', 'yes' );
if ($js == 'yes') {
    $document->addScript("modules/{$MODNAME}/js/script_min.js");
}

?>
<table <?php echo $table_width; ?> <?php echo $align; ?> cellpadding="0" cellspacing="0" border="0" <?php echo $class_str; ?> >
<tbody  id="<?php echo $class; ?>" name="<?php echo $class; ?>">

   <tr>
   <td>
   <form name="<?php echo $form; ?>">
      <table cellpadding="1" cellspacing="0" border="0" <?php echo $align; ?> >
        <tr>
          <td>
            <table cellspacing="1" cellpadding="1" <?php echo $align; ?> >
              <tr>
                <td><input name="LED" class="b6" type="text" value="0" /></td>
              </tr>
            </table>
          </td>
        </tr>

        <tr>
          <td>
            <table cellspacing="0" cellpadding="0">
              <tr>
                <td colspan="2"><input class="b2" type="button" name="C" value="CLEAR"
                onclick="Jcalc.click('C')" /></td>

                <td colspan="2"><input class="b2" name="c_equal2" type="button"
                id="c_equal2" value="ENTER" onclick="Jcalc.click('=')" /></td>
              </tr>

              <tr>
                <td width="30"><input class="b3" name="c_1_x" type="button" id="c_1_x"
                value="1/x" onclick="Jcalc.click('1/x')" /></td>

                <td width="30"><input class="b3" name="c_p_m" type="button" id="c_p_m"
                value="+/-" onclick="Jcalc.click('+/-')" /></td>

                <td width="30"><input class="b" type="button" name="c_BKSP"
                value="&larr;" onclick="Jcalc.click('BKSP')" /></td>

                <td width="30"><input class="b" name="c_caret" type="button" id="c_caret"
                value="^" onclick="Jcalc.click('^')" /></td>
              </tr>

              <tr>
                <td width="30"><input class="b" name="c_7" type="button" id="c_7"
                value="7" onclick="Jcalc.click('7')" /></td>

                <td width="30"><input class="b" name="c_8" type="button" id="c_8"
                value="8" onclick="Jcalc.click('8')" /></td>

                <td width="30"><input class="b" name="c_9" type="button" id="c_9"
                value="9" onclick="Jcalc.click('9')" /></td>

                <td width="30"><input class="b" name="c_div" type="button" id="c_div"
                value="/" onclick="Jcalc.click('/')" /></td>
              </tr>

              <tr>
                <td width="30"><input class="b" name="c_4" type="button" id="c_4"
                value="4" onclick="Jcalc.click('4')" /></td>

                <td width="30"><input class="b" name="c_5" type="button" id="c_5"
                value="5" onclick="Jcalc.click('5')" /></td>

                <td width="30"><input class="b" name="c_6" type="button" id="c_6"
                value="6" onclick="Jcalc.click('6')" /></td>

                <td width="30"><input class="b" name="c_mult" type="button" id="c_mult"
                value="*" onclick="Jcalc.click('*')" /></td>
              </tr>

              <tr>
                <td width="30"><input class="b" name="c_1" type="button" id="c_1"
                value="1" onclick="Jcalc.click('1')" /></td>

                <td width="30"><input class="b" name="c_2" type="button" id="c_2"
                value="2" onclick="Jcalc.click('2')" /></td>

                <td width="30"><input class="b" name="c_3" type="button" id="c_3"
                value="3" onclick="Jcalc.click('3')" /></td>

                <td width="30"><input class="b" name="c_minus" type="button" id="c_minus"
                value="-" onclick="Jcalc.click('-')" /></td>
              </tr>

              <tr>
                <td width="30"><input class="b" name="c_0" type="button" id="c_0"
                value="0" onclick="Jcalc.click('0')" /></td>

                <td width="30"><input class="b" name="c_dot" type="button" id="c_dot"
                value="." onclick="Jcalc.click('.')" /></td>

                <td width="30"><input class="b" name="c_equal" type="button" id="c_equal"
                value="=" onclick="Jcalc.click('=')" /></td>

                <td width="30"><input class="b" name="c_plus" type="button" id="c_plus"
                value="+" onclick="Jcalc.click('+')" /></td>
              </tr>
            </table>
          </td>
        </tr>

        <tr>
          <td>
            <table cellspacing="0" cellpadding="0" style="display: none;" id="more_<?php echo $class; ?>" name="more_<?php echo $class; ?>">
            <tbody id="more_<?php echo $class; ?>" name="more_<?php echo $class; ?>">
              <tr>
                <td width="30"><input class="b" name="c_pi" type="button" id="c_pi3"
                value="&pi;" onclick="Jcalc.click('pi')" /></td>

                <td width="30"><input class="b" name="c_e" type="button" id="c_e"
                value="e" onclick="Jcalc.click('e')" /></td>

                <td width="30"><input class="b" name="c_sqrt" type="button" id="c_sqrt"
                value="&radic;" onclick="Jcalc.click('sqrt')" /></td>

                <td width="30"><input class="b3" name="c_exp" type="button" id="c_exp"
                value="exp" onclick="Jcalc.click('exp')" /></td>
              </tr>

              <tr>
                <td width="30"><input class="b3" name="c_sin" type="button" id="c_sin"
                value="sin" onclick="Jcalc.click('sin')" /></td>

                <td width="30"><input class="b3" name="c_cos" type="button" id="c_cos"
                value="cos" onclick="Jcalc.click('cos')" /></td>

                <td width="30"><input class="b3" name="c_tab" type="button" id="c_tab"
                value="tan" onclick="Jcalc.click('tan')" /></td>

                <td width="30"><input class="b3" name="c_log" type="button" id="c_log"
                value="log" onclick="Jcalc.click('log')" /></td>
              </tr>

              <tr>
                <td width="30"><input class="b3" name="c_sinh" type="button" id="c_sinh"
                value="sinh" onclick="Jcalc.click('sinh')" /></td>

                <td width="30"><input class="b3" name="c_cosh" type="button" id="c_cosh"
                value="cosh" onclick="Jcalc.click('cosh')" /></td>

                <td width="30"><input class="b3" name="c_tanh" type="button" id="c_tanh"
                value="tanh" onclick="Jcalc.click('tanh')" /></td>

                <td width="30" class="b5" nowrap="nowrap"><input class="b3" name="c_deg"
                disabled="true" type="button" id="c_deg" value="deg"
                onclick="Jcalc.click('deg')" /></td>
              </tr>

              <tr>
                <td width="30"><input class="b3" name="c_asin" type="button" id="c_asin"
                value="asin" onclick="Jcalc.click('asin')" /></td>

                <td width="30"><input class="b3" name="c_acos" type="button" id="c_acos"
                value="acos" onclick="Jcalc.click('acos')" /></td>

                <td width="30"><input class="b3" name="c_atan" type="button" id="c_atan"
                value="atan" onclick="Jcalc.click('atan')" /></td>

                <td width="30" class="b5" nowrap="nowrap"><input class="b3" name="c_rad"
                type="button" id="c_rad" value="rad" onclick="Jcalc.click('rad')" /></td>
              </tr>

              <tr>
                <td width="30"><input class="b4" name="c_asinh" type="button"
                id="c_asinh" value="asinh" onclick="Jcalc.click('asinh')" /></td>

                <td width="30"><input class="b4" name="c_acosh" type="button"
                id="c_acosh" value="acosh" onclick="Jcalc.click('acosh')" /></td>

                <td width="30"><input class="b4" name="c_atanh" type="button"
                id="c_atanh" value="atanh" onclick="Jcalc.click('atanh')" /></td>

                <td width="30" class="b5" nowrap="nowrap"><input class="b3" name="c_grd"
                type="button" id="c_grd" value="grd" onclick="Jcalc.click('grd')" /></td>
              </tr>
            </tbody>
            </table>
          </td>
        </tr>

        <tr>
          <td width="100%" align="right">
<a href="." style="float:right;" onclick="return toggleDisplayButton<?php echo $class; ?>(document.getElementById('more_<?php echo $class; ?>'),document.getElementById('more_lab_<?php echo $class; ?>'))"><img alt="" border="0" src="<?php echo $site_url ?>/images/M_images/arrow.png" /> <span id="more_lab_<?php echo $class; ?>" name="more_lab_<?php echo $class; ?>">more...</span></a>
          <input type="hidden" name="c_h_angle" id="c_h_angle" value="deg" /></td>
        </tr>
      </table>
    </form>
    </td>
    </tr>
</tbody>
</table>
<?php
function mod_jcalc_style_content($class,$jcalc_style) {
  $moreclass="#more_".$class;
  $class="#".$class;

  return <<<END_OF_TEXT
<style type="text/css">
/* $class */
$class input {
	width: 100%;
      /* border-color: green; */
	font-size: 11px; 
      /*font-weight:bold;*/
      font-family: Verdana, Arial, Helvetica, sans-serif;
}
$class input.b {
	width: 33px;
	font-size: 11px;
      font-family: Arial, Verdana,  Helvetica, sans-serif;
}
$class input.b2 {
	font-size: 11px;
      font-family: Arial, Verdana,  Helvetica, sans-serif;
}
$class td.b3,$class input.b3 {
      width: 33px;
	font-size: 10px;
      font-family: Arial, Verdana,  Helvetica, sans-serif;
}
$class input.b4 {
      width: 33px;
	font-size: 9px;
      font-family: Arial, Verdana,  Helvetica, sans-serif;
}
$class td.b5,$class input.b5 {
      width: 33px;
	font-size: 8px;
      font-family: Arial, Verdana,  Helvetica, sans-serif;
}
$class input.b6 {
      width: 126px;
	font-size:  10px;
      /* padding-left: 2pt; */
      font-family: Arial, Verdana, Helvetica, sans-serif;
}
$class table,$moreclass table,$moreclass tbody  {
	margin: 3px;
      background:#ECCF5D;
	border: 1px solid #927858;
}
$jcalc_style
</style>
END_OF_TEXT;
}
?>
